| LPCOpen Platform v1.03 LPCOpen Platform for NXP LPC Microcontrollers

- Main Page
- Modules
- Data Structures
- Files
- Related Pages

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Functions | Variables
gpdma_18xx_43xx.c File Reference
`#include "chip.h"`

Go to the source code of this file.

## Functions
static uint8_t | DMAMUX_Config (uint32_t gpdma_peripheral_connection_number)
void | Chip_GPDMA_Init (LPC_GPDMA_T *pGPDMA)
| Initialize the GPDMA.
void | Chip_GPDMA_DeInit (LPC_GPDMA_T *pGPDMA)
| Shutdown the GPDMA.
void | Chip_DMA_Stop (LPC_GPDMA_T *pGPDMA, uint8_t ChannelNum)
| Stop a stream DMA transfer.
Status | Chip_DMA_Interrupt (LPC_GPDMA_T *pGPDMA, uint8_t ChannelNum)
| The GPDMA stream interrupt status checking.
int | Chip_DMA_InitChannelCfg (LPC_GPDMA_T *pGPDMA, GPDMA_Channel_CFG_T *GPDMACfg, uint8_t ChannelNum, uint32_t src, uint32_t dst, uint32_t Size, IP_GPDMA_FLOW_CONTROL_T TransferType)
| Initialize channel configuration strucutre.
Status | Chip_DMA_Transfer (LPC_GPDMA_T *pGPDMA, uint8_t ChannelNum, uint32_t src, uint32_t dst, IP_GPDMA_FLOW_CONTROL_T TransferType, uint32_t Size)
| Do a DMA transfer M2M, M2P,P2M or P2P.
Status | Chip_DMA_PrepareDescriptor (LPC_GPDMA_T *pGPDMA, DMA_TransferDescriptor_t *DMADescriptor, uint32_t src, uint32_t dst, uint32_t Size, IP_GPDMA_FLOW_CONTROL_T TransferType, const DMA_TransferDescriptor_t *NextDescriptor)
| Prepare a single DMA descriptor.
Status | Chip_DMA_SGTransfer (LPC_GPDMA_T *pGPDMA, uint8_t ChannelNum, const DMA_TransferDescriptor_t *DMADescriptor, IP_GPDMA_FLOW_CONTROL_T TransferType)
| Do a DMA transfer using linked list of descriptors.
uint8_t | Chip_DMA_GetFreeChannel (LPC_GPDMA_T *pGPDMA, uint32_t PeripheralConnection_ID)
| Get a free GPDMA channel for one DMA connection.

## Variables
static DMA_ChannelHandle_t | ChannelHandlerArray [GPDMA_NUMBER_CHANNELS]
static const uint8_t | GPDMA_LUTPerBurst []
static const uint8_t | GPDMA_LUTPerWid []
static volatile const void * | GPDMA_LUTPerAddr []

## Function Documentation

static uint8_t DMAMUX_Config | ( | uint32_t | gpdma_peripheral_connection_number | ) |
| static

Definition at line 152 of file gpdma_18xx_43xx.c.

## Variable Documentation

DMA_ChannelHandle_t ChannelHandlerArray[GPDMA_NUMBER_CHANNELS]
| static

Definition at line 39 of file gpdma_18xx_43xx.c.

volatile const void* GPDMA_LUTPerAddr[]
| static

Definition at line 110 of file gpdma_18xx_43xx.c.

const uint8_t GPDMA_LUTPerBurst[]
| static

Definition at line 42 of file gpdma_18xx_43xx.c.

const uint8_t GPDMA_LUTPerWid[]
| static

Definition at line 76 of file gpdma_18xx_43xx.c.